<template lang="pug">
  v-container(fluid='')
    v-data-iterator(:items='products' no-data-text='Записи по продуктам отсутсвуют' hide-default-footer='')
      template(v-slot:header='')
        v-toolbar.mb-2(color='indigo darken-5' dark='' flat='')
          v-toolbar-title Товары
          v-col
            v-dialog(transition='dialog-bottom-transition' v-model="createDialog")
              template(v-slot:activator='{ on, attrs }')
                v-btn(text='' right='' outlined='' color='teal accent-4' @click='reveal = true' v-on='on')
                  | Добавить
              template(v-slot:default='dialog')
                v-card
                  v-toolbar(color='primary' dark='') Добавление товара
                  v-card-text
                    v-container
                      v-form
                        v-row
                          v-col(cols="5")
                            v-text-field(v-model="product.id" label="№" required="")
                          v-col(cols="5")
                            v-text-field(v-model="product.name" label="Навзвание" required="")
                          v-col(cols="5")
                            v-text-field(v-model.number="product.price" label="Цена" required="")
                  v-card-actions.justify-end
                    v-btn(@click="Save") Добавить
                    v-btn(@click="createDialog=false; product={}") Закрыть
      template(v-slot:default='props')
        v-row
          v-col(v-for='item in props.items' :key='item.name' cols='12' sm='6' md='4' lg='3')
            v-card
              v-card-title.subheading.font-weight-bold
                | Название: {{ item.name }} №{{ item.id }}
              v-divider
              v-list(dense='')
                v-list-item
                  v-list-item-content Цена:
                  v-list-item-content.align-end
                    | {{ item.price }}₽
      //template(v-slot:footer='')
        v-toolbar.mt-2(color='indigo' dark='' flat='')
          v-toolbar-title.subheading
            | This is a footer

</template>

<script>
export default {
  name: 'Products',
  mounted() {
    this.$store.dispatch("getSession")
    this.$store.dispatch("getListProducts")
  },
  computed: {
    products () {
      return this.$store.getters.products
    },
  },
  watch: {

  },
  components: {
  },
  methods: {
    Save() {
      this.$store.dispatch('addNewProduct', this.product).then(() => {
        this.product = {}
        this.createDialog = false
      })
    }
  },
  data: () => ({
    reveal: false,
    createDialog: false,
    product: {
      id: '',
      name: '',
      price: 0,
    },
  })
}
</script>
